XSConstants (XML Schema API)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSConstants

    public interface XSConstants

This interface defines constants used by this specification.

Field Summary
`static short` | `ANNOTATION` The object describes an annotation.
`static short` | `ANYSIMPLETYPE_DT` anySimpleType
`static short` | `ANYURI_DT` anyURI
`static short` | `ATTRIBUTE_DECLARATION` The object describes an attribute declaration.
`static short` | `ATTRIBUTE_GROUP` The object describes an attribute group definition.
`static short` | `ATTRIBUTE_USE` The object describes an attribute use definition.
`static short` | `BASE64BINARY_DT` base64Binary
`static short` | `BOOLEAN_DT` boolean
`static short` | `BYTE_DT` byte
`static short` | `DATE_DT` date
`static short` | `DATETIME_DT` dateTime
`static short` | `DECIMAL_DT` decimal
`static short` | `DERIVATION_EXTENSION` `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.
`static short` | `DERIVATION_LIST` `XSTypeDefinition` final set.
`static short` | `DERIVATION_NONE` No constraint is available.
`static short` | `DERIVATION_RESTRICTION` `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.
`static short` | `DERIVATION_SUBSTITUTION` `XSTypeDefinition` final set.
`static short` | `DERIVATION_UNION` `XSTypeDefinition` final set.
`static short` | `DOUBLE_DT` double
`static short` | `DURATION_DT` duration
`static short` | `ELEMENT_DECLARATION` The object describes an element declaration.
`static short` | `ENTITY_DT` ENTITY
`static short` | `FACET` The object describes a constraining facet.
`static short` | `FLOAT_DT` float
`static short` | `GDAY_DT` gDay
`static short` | `GMONTH_DT` gMonth
`static short` | `GMONTHDAY_DT` gMonthDay
`static short` | `GYEAR_DT` gYear
`static short` | `GYEARMONTH_DT` gYearMonth
`static short` | `HEXBINARY_DT` hexBinary
`static short` | `ID_DT` ID
`static short` | `IDENTITY_CONSTRAINT` The object describes an identity constraint definition.
`static short` | `IDREF_DT` IDREF
`static short` | `INT_DT` int
`static short` | `INTEGER_DT` integer
`static short` | `LANGUAGE_DT` language
`static short` | `LIST_DT` The type represents a list type definition.
`static short` | `LISTOFUNION_DT` The type represents a list type definition whose item type (itemType) is a union type definition
`static short` | `LONG_DT` long
`static short` | `MODEL_GROUP` A model group.
`static short` | `MODEL_GROUP_DEFINITION` The object describes a model group definition.
`static short` | `MULTIVALUE_FACET` The object describes enumeration and pattern facets.
`static short` | `NAME_DT` Name
`static short` | `NCNAME_DT` NCName
`static short` | `NEGATIVEINTEGER_DT` negativeInteger
`static short` | `NMTOKEN_DT` NMTOKEN
`static short` | `NONNEGATIVEINTEGER_DT` nonNegativeInteger
`static short` | `NONPOSITIVEINTEGER_DT` nonPositiveInteger
`static short` | `NORMALIZEDSTRING_DT` normalizedString
`static short` | `NOTATION_DECLARATION` The object describes a notation declaration.
`static short` | `NOTATION_DT` NOTATION
`static short` | `PARTICLE` The object describes a particle.
`static short` | `POSITIVEINTEGER_DT` positiveInteger
`static short` | `QNAME_DT` QName
`static short` | `SCOPE_ABSENT` The scope of a declaration within named model groups or attribute groups is `absent`.
`static short` | `SCOPE_GLOBAL` A scope of `global` identifies top-level declarations.
`static short` | `SCOPE_LOCAL` `Locally scoped` declarations are available for use only within the complex type.
`static short` | `SHORT_DT` short
`static short` | `STRING_DT` string
`static short` | `TIME_DT` time
`static short` | `TOKEN_DT` token
`static short` | `TYPE_DEFINITION` The object describes a complex type or simple type definition.
`static short` | `UNAVAILABLE_DT` The built-in type category is not available.
`static short` | `UNSIGNEDBYTE_DT` unsignedByte
`static short` | `UNSIGNEDINT_DT` unsignedInt
`static short` | `UNSIGNEDLONG_DT` unsignedLong
`static short` | `UNSIGNEDSHORT_DT` unsignedShort
`static short` | `VC_DEFAULT` Indicates that there is a default value constraint.
`static short` | `VC_FIXED` Indicates that there is a fixed value constraint for this attribute.
`static short` | `VC_NONE` Indicates that the component does not have any value constraint.
`static short` | `WILDCARD` The object describes a wildcard.

Field Detail

### ATTRIBUTE_DECLARATION

    static final short ATTRIBUTE_DECLARATION

  The object describes an attribute declaration.

  See Also:
    Constant Field Values

### ELEMENT_DECLARATION

    static final short ELEMENT_DECLARATION

  The object describes an element declaration.

  See Also:
    Constant Field Values

### TYPE_DEFINITION

    static final short TYPE_DEFINITION

  The object describes a complex type or simple type definition.

  See Also:
    Constant Field Values

### ATTRIBUTE_USE

    static final short ATTRIBUTE_USE

  The object describes an attribute use definition.

  See Also:
    Constant Field Values

### ATTRIBUTE_GROUP

    static final short ATTRIBUTE_GROUP

  The object describes an attribute group definition.

  See Also:
    Constant Field Values

### MODEL_GROUP_DEFINITION

    static final short MODEL_GROUP_DEFINITION

  The object describes a model group definition.

  See Also:
    Constant Field Values

### MODEL_GROUP

    static final short MODEL_GROUP

  A model group.

  See Also:
    Constant Field Values

### PARTICLE

    static final short PARTICLE

  The object describes a particle.

  See Also:
    Constant Field Values

### WILDCARD

    static final short WILDCARD

  The object describes a wildcard.

  See Also:
    Constant Field Values

### IDENTITY_CONSTRAINT

    static final short IDENTITY_CONSTRAINT

  The object describes an identity constraint definition.

  See Also:
    Constant Field Values

### NOTATION_DECLARATION

    static final short NOTATION_DECLARATION

  The object describes a notation declaration.

  See Also:
    Constant Field Values

### ANNOTATION

    static final short ANNOTATION

  The object describes an annotation.

  See Also:
    Constant Field Values

### FACET

    static final short FACET

  The object describes a constraining facet. Note: this object does not describe pattern and enumeration facets.

  See Also:
    Constant Field Values

### MULTIVALUE_FACET

    static final short MULTIVALUE_FACET

  The object describes enumeration and pattern facets.

  See Also:
    Constant Field Values

### DERIVATION_NONE

    static final short DERIVATION_NONE

  No constraint is available.

  See Also:
    Constant Field Values

### DERIVATION_EXTENSION

    static final short DERIVATION_EXTENSION

  `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.

  See Also:
    Constant Field Values

### DERIVATION_RESTRICTION

    static final short DERIVATION_RESTRICTION

  `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.

  See Also:
    Constant Field Values

### DERIVATION_SUBSTITUTION

    static final short DERIVATION_SUBSTITUTION

  `XSTypeDefinition` final set.

  See Also:
    Constant Field Values

### DERIVATION_UNION

    static final short DERIVATION_UNION

  `XSTypeDefinition` final set.

  See Also:
    Constant Field Values

### DERIVATION_LIST

    static final short DERIVATION_LIST

  `XSTypeDefinition` final set.

  See Also:
    Constant Field Values

### SCOPE_ABSENT

    static final short SCOPE_ABSENT

  The scope of a declaration within named model groups or attribute groups is `absent`. The scope of such a declaration is determined when it is used in the construction of complex type definitions.

  See Also:
    Constant Field Values

### SCOPE_GLOBAL

    static final short SCOPE_GLOBAL

  A scope of `global` identifies top-level declarations.

  See Also:
    Constant Field Values

### SCOPE_LOCAL

    static final short SCOPE_LOCAL

  `Locally scoped` declarations are available for use only within the complex type.

  See Also:
    Constant Field Values

### VC_NONE

    static final short VC_NONE

  Indicates that the component does not have any value constraint.

  See Also:
    Constant Field Values

### VC_DEFAULT

    static final short VC_DEFAULT

  Indicates that there is a default value constraint.

  See Also:
    Constant Field Values

### VC_FIXED

    static final short VC_FIXED

  Indicates that there is a fixed value constraint for this attribute.

  See Also:
    Constant Field Values

### ANYSIMPLETYPE_DT

    static final short ANYSIMPLETYPE_DT

  anySimpleType

  See Also:
    Constant Field Values

### STRING_DT

    static final short STRING_DT

  string

  See Also:
    Constant Field Values

### BOOLEAN_DT

    static final short BOOLEAN_DT

  boolean

  See Also:
    Constant Field Values

### DECIMAL_DT

    static final short DECIMAL_DT

  decimal

  See Also:
    Constant Field Values

### FLOAT_DT

    static final short FLOAT_DT

  float

  See Also:
    Constant Field Values

### DOUBLE_DT

    static final short DOUBLE_DT

  double

  See Also:
    Constant Field Values

### DURATION_DT

    static final short DURATION_DT

  duration

  See Also:
    Constant Field Values

### DATETIME_DT

    static final short DATETIME_DT

  dateTime

  See Also:
    Constant Field Values

### TIME_DT

    static final short TIME_DT

  time

  See Also:
    Constant Field Values

### DATE_DT

    static final short DATE_DT

  date

  See Also:
    Constant Field Values

### GYEARMONTH_DT

    static final short GYEARMONTH_DT

  gYearMonth

  See Also:
    Constant Field Values

### GYEAR_DT

    static final short GYEAR_DT

  gYear

  See Also:
    Constant Field Values

### GMONTHDAY_DT

    static final short GMONTHDAY_DT

  gMonthDay

  See Also:
    Constant Field Values

### GDAY_DT

    static final short GDAY_DT

  gDay

  See Also:
    Constant Field Values

### GMONTH_DT

    static final short GMONTH_DT

  gMonth

  See Also:
    Constant Field Values

### HEXBINARY_DT

    static final short HEXBINARY_DT

  hexBinary

  See Also:
    Constant Field Values

### BASE64BINARY_DT

    static final short BASE64BINARY_DT

  base64Binary

  See Also:
    Constant Field Values

### ANYURI_DT

    static final short ANYURI_DT

  anyURI

  See Also:
    Constant Field Values

### QNAME_DT

    static final short QNAME_DT

  QName

  See Also:
    Constant Field Values

### NOTATION_DT

    static final short NOTATION_DT

  NOTATION

  See Also:
    Constant Field Values

### NORMALIZEDSTRING_DT

    static final short NORMALIZEDSTRING_DT

  normalizedString

  See Also:
    Constant Field Values

### TOKEN_DT

    static final short TOKEN_DT

  token

  See Also:
    Constant Field Values

### LANGUAGE_DT

    static final short LANGUAGE_DT

  language

  See Also:
    Constant Field Values

### NMTOKEN_DT

    static final short NMTOKEN_DT

  NMTOKEN

  See Also:
    Constant Field Values

### NAME_DT

    static final short NAME_DT

  Name

  See Also:
    Constant Field Values

### NCNAME_DT

    static final short NCNAME_DT

  NCName

  See Also:
    Constant Field Values

### ID_DT

    static final short ID_DT

  ID

  See Also:
    Constant Field Values

### IDREF_DT

    static final short IDREF_DT

  IDREF

  See Also:
    Constant Field Values

### ENTITY_DT

    static final short ENTITY_DT

  ENTITY

  See Also:
    Constant Field Values

### INTEGER_DT

    static final short INTEGER_DT

  integer

  See Also:
    Constant Field Values

### NONPOSITIVEINTEGER_DT

    static final short NONPOSITIVEINTEGER_DT

  nonPositiveInteger

  See Also:
    Constant Field Values

### NEGATIVEINTEGER_DT

    static final short NEGATIVEINTEGER_DT

  negativeInteger

  See Also:
    Constant Field Values

### LONG_DT

    static final short LONG_DT

  long

  See Also:
    Constant Field Values

### INT_DT

    static final short INT_DT

  int

  See Also:
    Constant Field Values

### SHORT_DT

    static final short SHORT_DT

  short

  See Also:
    Constant Field Values

### BYTE_DT

    static final short BYTE_DT

  byte

  See Also:
    Constant Field Values

### NONNEGATIVEINTEGER_DT

    static final short NONNEGATIVEINTEGER_DT

  nonNegativeInteger

  See Also:
    Constant Field Values

### UNSIGNEDLONG_DT

    static final short UNSIGNEDLONG_DT

  unsignedLong

  See Also:
    Constant Field Values

### UNSIGNEDINT_DT

    static final short UNSIGNEDINT_DT

  unsignedInt

  See Also:
    Constant Field Values

### UNSIGNEDSHORT_DT

    static final short UNSIGNEDSHORT_DT

  unsignedShort

  See Also:
    Constant Field Values

### UNSIGNEDBYTE_DT

    static final short UNSIGNEDBYTE_DT

  unsignedByte

  See Also:
    Constant Field Values

### POSITIVEINTEGER_DT

    static final short POSITIVEINTEGER_DT

  positiveInteger

  See Also:
    Constant Field Values

### LISTOFUNION_DT

    static final short LISTOFUNION_DT

  The type represents a list type definition whose item type (itemType) is a union type definition

  See Also:
    Constant Field Values

### LIST_DT

    static final short LIST_DT

  The type represents a list type definition.

  See Also:
    Constant Field Values

### UNAVAILABLE_DT

    static final short UNAVAILABLE_DT

  The built-in type category is not available.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.